Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.heckmansoft.surjey.model.vo
Class Section

    java.lang.Object
      com.heckmansoft.surjey.model.vo.ValueObject
          com.heckmansoft.surjey.model.vo.Section

All Implemented Interfaces:
  java.lang.Comparable, java.io.Serializable

Direct Known Subclasses:
  LazySection

public class Section
extends ValueObject

A section. Contains a list of questions.

See Also:
  Serialized Form

Constructor Summary
`Section()` Constructor.

Method Summary
`int` | `compareTo(java.lang.Object other)`
`boolean` | `equals(java.lang.Object other)`
`java.lang.String` | `getDescription()`
`java.lang.String` | `getPosition()`
`ValueObjectList` | `getQuestions()`
`java.lang.String` | `getSurveyId()`
`boolean` | `questionsIsNull()`
`void` | `setDescription(java.lang.String string)`
`void` | `setPosition(java.lang.String string)`
`void` | `setQuestions(ValueObjectList list)`
`void` | `setSurveyId(java.lang.String string)`
`java.lang.String` | `toString()`

Methods inherited from class com.heckmansoft.surjey.model.vo.ValueObject
`getId, getName, hashCode, setId, setName`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Section

    public Section()

  Constructor.

Method Detail

### getDescription

    public java.lang.String getDescription()

### setDescription

    public void setDescription(java.lang.String string)

### getPosition

    public java.lang.String getPosition()

### getSurveyId

    public java.lang.String getSurveyId()

### getQuestions

    public ValueObjectList getQuestions()

### setPosition

    public void setPosition(java.lang.String string)

### setSurveyId

    public void setSurveyId(java.lang.String string)

### setQuestions

    public void setQuestions(ValueObjectList list)

### questionsIsNull

    public boolean questionsIsNull()

### compareTo

    public int compareTo(java.lang.Object other)

  Specified by:
    `compareTo` in interface `java.lang.Comparable`
  Overrides:
    `compareTo` in class `ValueObject`

### equals

    public boolean equals(java.lang.Object other)

  Overrides:
    `equals` in class `ValueObject`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `ValueObject`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD